チケット #541 (closed 新機能・拡張: fixed)

登録: 12 年 前

最終更新: 11 年 前

API追加:SOAPClient

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp バージョン: 0.1.2
キーワード: 関係者:

チケットの概要

SOAPを利用したWebサービスクライアントAPIの追加。

実行イメージ:簡単3ステップ!

ステップ1:WSDLを指定して SOAPClientオブジェクト のインスタンスを生成します。

var url = "http://192.168.108.28:8080/imart/services/MemberInfoOperatorService?wsdl";
var soapClient = new SOAPClient(url);

ステップ2:Webサービスの呼び出し方法を表示します。

soapClient.printUsage("findAll");

出力例

************************************************************
 Usage:
    var result = soapClient.findAll(wsUserInfo); 

//-------------------------------
// Sample Data : 'wsUserInfo'
//-------------------------------
var wsUserInfo = 
/* Object <WSUserInfo> */
{
    /* String */
    "userID" : "prop_userID", 

    /* String */
    "password" : "prop_password", 

    /* String */
    "loginGroupID" : "prop_loginGroupID", 

    /* String */
    "authType" : "prop_authType"
};

************************************************************

ステップ3: 手順2で出力された内容をコピペして、Webサービスを呼び出します。

// ↓↓↓↓ コピペ、ここから ↓↓↓↓
//-------------------------------
// Sample Data : 'wsUserInfo'
//-------------------------------
var wsUserInfo = 
/* Object <WSUserInfo> */
{
    /* String */
    "userID" : "prop_userID", 

    /* String */
    "password" : "prop_password", 

    /* String */
    "loginGroupID" : "prop_loginGroupID", 

    /* String */
    "authType" : "prop_authType"
};
// ↑↑↑↑ コピペ、ここまで ↑↑↑↑

// ***********************************
// Webサービス呼び出し!
// ***********************************
var result = soapClient.findAll(wsUserInfo);
Debug.console(result);

おまけ:Webサービス・オペレーション名の一覧を取得することも出来ます。

// Webサービス・オペレーション名の一覧を取得します。
var names = soapClient.getOperationNames();
Debug.console(names);

実現手段

  • Axis2の WSDLからJavaスタブを自動生成する機能 を利用。
    • SOAPClientオブジェクトは、このJavaスタブのWrapperとして動作する。

チケットの履歴

2008/07/21 02:22:19 更新者:shinomiya

iWP ver7.0の変更を反映しました [303]

  • 注意
    • printUsage() が getSampleCode() に名称が変更されました。

2008/07/21 02:27:12 更新者:shinomiya

  • ステータスnew から assigned に更新されました。
  • SOAPFaultオブジェクトを追加 [304]

2008/09/04 21:30:30 更新者:shinomiya

  • ステータスassigned から closed に更新されました。
  • 解決方法fixed に更新されました。

サンプル動作確認、OKです。

サンプルは、bearmini.netさんの休日情報Webサービスを利用させていただいております。

bearmini.netさん、ありがとうございます!

2008/09/05 14:55:09 更新者:shinomiya

  • コンポーネントim-jssp-extention から im-jssp に更新されました。